%global momorel 31
%global artsver 1.5.10
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.10
%global kde4ver 4.5.0
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global kofficever 1.6.3
%global src2name kmenu-gnome
%global src2ver 0.7.2
%global sourcedir stable/%{name}-%{kofficever}/src
%global enable_final 0
%global enable_gcc_check_and_hidden_visibility 0

Summary: A free, integrated office suite for KDE
Name: koffice
Version: %{kofficever}
Release: %{momorel}m%{?dist}
License: GPLv2 and LGPLv2
Group: Applications/Productivity
URL: http://www.koffice.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: http://www.kde-apps.org/CONTENT/content-files/31025-%{src2name}-%{src2ver}.tar.gz
NoSource: 1
Source10: admin.tar.bz2
Patch0: %{name}-1.1.1-alpha.patch
Patch1: %{name}-admin-gcc4isok.patch
Patch2: %{name}-1.6.1-python-cxx.patch
Patch3: %{name}-%{version}-python26.patch
Patch4: %{name}-%{version}-gcc44.patch
Patch5: %{name}-%{version}-kexi-tools-bash4.patch
Patch6: %{name}-%{version}-glibc210.patch
Patch7: %{name}-%{version}-remove-krita-gmagick-filter.patch

Patch10: %{name}-%{version}-automake111.patch
Patch11: %{name}-%{version}-autoconf265.patch

Patch12: koffice-1.6.3-ruby18.patch

# upstream patches
Patch50: ftp://ftp.kde.org/pub/kde/security_patches/%{name}-%{version}-xpdf2-CVE-2007-4352-5392-5393.diff
Patch51: gcc-4.3.diff
Patch52: r729276.diff
Patch53: r729302.diff
Patch54: r729650.diff
Patch55: r729712.diff

# security patch
Patch200: %{name}-xpdf-CVE-2007-3387.diff
Patch201: 90_no_pdf.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt3-devel >= %{qtver}
BuildRequires: arts-devel >= %{artsver}-%{artsrel}
BuildRequires: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: GraphicsMagick-devel >= 1.3.7
BuildRequires: ImageMagick-devel >= 6.4.8.5
BuildRequires: OpenEXR-devel >= 1.6.1
BuildRequires: alsa-lib-devel >= 1.0.18-2m
BuildRequires: aspell-devel >= 0.60.4-2m
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: coreutils
BuildRequires: doxygen
BuildRequires: esound-devel
BuildRequires: expat-devel >= 2.0.0-2m
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel >= 2.3.1-2m
BuildRequires: gettext
BuildRequires: graphviz >= 2.12-4m
BuildRequires: lcms-devel >= 1.15-4m
BuildRequires: libacl-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libexif-devel >= 0.6.13-2m
BuildRequires: libgsf-devel >= 1.14.0
BuildRequires: libjpeg-devel >= 8a
BuildRequires: libogg-devel >= 1.1.3-2m
BuildRequires: libpng-devel >= 1.2.0
BuildRequires: libpqxx-devel = 2.6.8
BuildRequires: libtiff-devel
BuildRequires: libtool
BuildRequires: libvorbis-devel >= 1.1.2-2m
BuildRequires: libwpd-devel >= 0.8.3-2m
BuildRequires: libxslt-devel >= 1.1.24-3m
BuildRequires: mysql-devel >= 5.1.32
BuildRequires: openssl-devel
BuildRequires: pcre-devel >= 6.3-2m
BuildRequires: perl
BuildRequires: poppler-devel >= 0.8.0
BuildRequires: poppler-qt-devel
BuildRequires: postgresql-devel
BuildRequires: python-devel >= 2.6.1
BuildRequires: qt3-MySQL >= %{qtver}
BuildRequires: qt3-PostgreSQL >= %{qtver}
BuildRequires: readline-devel >= 5.0
BuildRequires: ruby-devel
BuildRequires: wv2-devel = 0.2.3
BuildRequires: zlib-devel

%description
KOffice - Integrated Office Suite
KOffice is a free, integrated office suite for KDE, the K Desktop Environment.

%package suite
Summary: A free, integrated office suite for KDE
Group: Applications/Productivity
Requires: %{name}-core
Requires: %{name}-filters
Requires: %{name}-karbon
Requires: %{name}-kchart
Requires: %{name}-kexi
Requires: %{name}-kformula
Requires: %{name}-kivio
Requires: %{name}-kplato
Requires: %{name}-kpresenter
Requires: %{name}-krita
Requires: %{name}-kspread
Requires: %{name}-kugar
Requires: %{name}-kword

%description suite
KOffice - Integrated Office Suite
KOffice is a free, integrated office suite for KDE, the K Desktop Environment.

%package core
Summary: Core packages for koffice
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: perl
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} < %{version}-%{release}
Obsoletes: %{name}-libs

%description core
core libraries and support files for koffice.

%package devel
Summary: Libraries needed for koffice development
Group: System Environment/Libraries
Requires: %{name}-core = %{version}-%{release}
Obsoletes: %{name}-kdchart-devel

%description devel
Libraries needed for koffice development.

%package filters
Summary: Import and Export Filters for KOffice
Group: Applications/Productivity
Requires: %{name}-core = %{version}-%{release}

%description filters
Import and Export Filters for KOffice.

%package karbon
Summary: A vector drawing application
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}
Obsoletes: %{name}-karbon-libs

%description karbon
A vector drawing application.

%package kchart
Summary: An integrated graph and chart drawing tool
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}
Obsoletes: %{name}-kchart-libs
Obsoletes: %{name}-kdchart

%description kchart
An integrated graph and chart drawing tool.

%package kexi
Summary: An integrated environment for managing data
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}
Obsoletes: %{name}-kexi-driver-mysql
Obsoletes: %{name}-kexi-driver-pgsql
Obsoletes: %{name}-kexi-libs

%description kexi
An integrated environment for managing data.

%package kformula
Summary: A powerful formula editor
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}
Obsoletes: %{name}-kformula-libs

%description kformula
A powerful formula editor.

%package kivio
Summary: A flowcharting application
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}
Requires: kdegraphics >= %{kde4ver}

%description kivio
A flowcharting application.

%package kplato
Summary: An integrated project management and planning tool
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}
Obsoletes: %{name}-kplato-libs

%description kplato
An integrated project management and planning tool.

%package kpresenter
Summary: A full-featured presentation program
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}
Obsoletes: %{name}-kpresenter-libs

%description kpresenter
A full-featured presentation program.

%package krita
Summary: A pixel-based image manipulation program
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}
Obsoletes: %{name}-krita-libs

%description krita
A pixel-based image manipulation program.

%package kspread
Summary: A powerful spreadsheet application
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}

%description kspread
A powerful spreadsheet application.

%package kugar
Summary: A tool for generating business quality reports
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}

%description kugar
A tool for generating business quality reports.

%package kword
Summary: A frame-based word processor capable of professional standard documents
Group: Applications/Productivity
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: %{name}-core = %{version}-%{release}
Obsoletes: %{name}-kword-libs

%description kword
A frame-based word processor capable of professional standard documents.

%prep
%setup -q -a1

%ifarch alpha
%patch0 -p1 -b .alpha
%endif
%patch1 -p1 -b .gcc4
%patch2 -p1 -b .cxx
%patch3 -p1 -b .python26
%patch4 -p1 -b .gcc44~
%patch5 -p1 -b .kexi-tools-bash4
%patch6 -p1 -b .glibc210
%patch7 -p1 -b .no-build-gmagick-filter

%patch12 -p1 -b .ruby18

# upstream patches
%patch50 -p0 -b .xpdf2
%patch51 -p0 -b .gcc43
%patch52 -p0 -b .r729276
%patch53 -p0 -b .r729302
%patch54 -p0 -b .r729650
%patch55 -p0 -b .r729712

# security patch
%patch200 -p0 -b .CVE-2007-3387
%patch201 -p1 -b .CVE-2009-0146-3609

# fix for new automake and autoconf
rm -rf admin
tar xf %{SOURCE10}

%patch10 -p1 -b .automake111
%patch11 -p1 -b .autoconf265

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--with-pgsql-libraries=%{_libdir} \
	--with-pgsql-includes=%{_includedir}/pgsql \
	--with-pqxx-libraries=%{_libdir} \
	--with-pqxx-includes=%{_includedir}/pqxx \
	--with-extra-includes=%{_includedir}/arts \
	--with-xinerama \
	--disable-debug \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# move desktop files
mv -f %{buildroot}%{_datadir}/applnk/Office/*.desktop %{buildroot}%{_datadir}/applications/kde/

## link missing icons for menu

# kplato.png
ln -s ../../../crystalsvg/16x16/apps/kplato.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/kplato.png
ln -s ../../../crystalsvg/22x22/apps/kplato.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/kplato.png
ln -s ../../../crystalsvg/32x32/apps/kplato.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/kplato.png
ln -s ../../../crystalsvg/48x48/apps/kplato.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/kplato.png
ln -s ../../../crystalsvg/64x64/apps/kplato.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/kplato.png

## install missing icons for menu

pushd %{src2name}-%{src2ver}
# kthesaurus.png
install -m 644 icons/crystalsvg/16x16/apps/kthesaurus.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install -m 644 icons/crystalsvg/22x22/apps/kthesaurus.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/
install -m 644 icons/crystalsvg/32x32/apps/kthesaurus.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -m 644 icons/crystalsvg/48x48/apps/kthesaurus.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -m 644 icons/crystalsvg/64x64/apps/kthesaurus.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
# kudesigner.png
install -m 644 icons/crystalsvg/16x16/apps/kudesigner.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/
install -m 644 icons/crystalsvg/32x32/apps/kudesigner.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -m 644 icons/crystalsvg/48x48/apps/kudesigner.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -m 644 icons/crystalsvg/64x64/apps/kudesigner.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/
popd

# Replace absolute symlinks with relative ones
cd %{buildroot}%{_docdir}/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f %{buildroot}%{_docdir}/HTML/en/$i/common
		ln -s ../common %{buildroot}%{_docdir}/HTML/en/$i
	fi
done

# conflicts with kdelibs-3.5.10
rm -f %{buildroot}%{_datadir}/mimelnk/image/x-raw.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post core
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun core
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post filters
/sbin/ldconfig

%postun filters
/sbin/ldconfig

%post karbon
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun karbon
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post kchart
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun kchart
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post kexi
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun kexi
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post kformula
/sbin/ldconfig

%postun kformula
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post kivio
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun kivio
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post kplato
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun kplato
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post kpresenter
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun kpresenter
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post krita
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun krita
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post kspread
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun kspread
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post kugar
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun kugar
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%post kword
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun kword
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null ||:

%files suite
# virtual package

%files core
%defattr(-,root,root)
%doc AUTHORS COPYING* INSTALL README changes-1.*
%{_bindir}/koconverter
%{_bindir}/koshell
%{_bindir}/krossrunner
%{_bindir}/kthesaurus
%{_libdir}/kde3/clipartthumbnail.la
%{_libdir}/kde3/clipartthumbnail.so
%{_libdir}/kde3/kfile_abiword.la
%{_libdir}/kde3/kfile_abiword.so
%{_libdir}/kde3/kfile_gnumeric.la
%{_libdir}/kde3/kfile_gnumeric.so
%{_libdir}/kde3/kfile_%{name}.la
%{_libdir}/kde3/kfile_%{name}.so
%{_libdir}/kde3/kfile_ooo.la
%{_libdir}/kde3/kfile_ooo.so
%{_libdir}/kde3/kodocinfopropspage.la
%{_libdir}/kde3/kodocinfopropspage.so
%{_libdir}/kde3/%{name}scan.la
%{_libdir}/kde3/%{name}scan.so
%{_libdir}/kde3/%{name}thumbnail.la
%{_libdir}/kde3/%{name}thumbnail.so
%{_libdir}/kde3/koshell.la
%{_libdir}/kde3/koshell.so
%{_libdir}/kde3/krosspython.la
%{_libdir}/kde3/krosspython.so
%{_libdir}/kde3/krossruby.la
%{_libdir}/kde3/krossruby.so
%{_libdir}/kde3/kthesaurus.la
%{_libdir}/kde3/kthesaurus.so
%{_libdir}/kde3/kwmailmerge_classic.la
%{_libdir}/kde3/kwmailmerge_classic.so
%{_libdir}/kde3/kwmailmerge_kabc.la
%{_libdir}/kde3/kwmailmerge_kabc.so
%{_libdir}/kde3/kwmailmerge_qtsqldb_power.la
%{_libdir}/kde3/kwmailmerge_qtsqldb_power.so
%{_libdir}/kde3/kwmailmerge_qtsqldb.la
%{_libdir}/kde3/kwmailmerge_qtsqldb.so
%{_libdir}/kde3/libkounavailpart.la
%{_libdir}/kde3/libkounavailpart.so
%{_libdir}/kde3/libkprkword.la
%{_libdir}/kde3/libkprkword.so
%{_libdir}/kde3/libolefilter.la
%{_libdir}/kde3/libolefilter.so
%{_libdir}/kde3/libthesaurustool.la
%{_libdir}/kde3/libthesaurustool.so
%{_libdir}/libkdchart.la
%{_libdir}/libkdchart.so.*
%{_libdir}/libkdeinit_koshell.la
%{_libdir}/libkdeinit_koshell.so
%{_libdir}/libkdeinit_kthesaurus.la
%{_libdir}/libkdeinit_kthesaurus.so
%{_libdir}/libkformulalib.la
%{_libdir}/libkformulalib.so.*
%{_libdir}/libkochart.la
%{_libdir}/libkochart.so.*
%{_libdir}/lib%{name}core.la
%{_libdir}/lib%{name}core.so.*
%{_libdir}/lib%{name}ui.la
%{_libdir}/lib%{name}ui.so.*
%{_libdir}/libkopainter.la
%{_libdir}/libkopainter.so.*
%{_libdir}/libkopalette.la
%{_libdir}/libkopalette.so.*
%{_libdir}/libkoproperty.la
%{_libdir}/libkoproperty.so.*
%{_libdir}/libkotext.la
%{_libdir}/libkotext.so.*
%{_libdir}/libkowmf.la
%{_libdir}/libkowmf.so.*
%{_libdir}/libkrita_ycbcr_u16.la
%{_libdir}/libkrita_ycbcr_u16.so.*
%{_libdir}/libkrita_ycbcr_u8.la
%{_libdir}/libkrita_ycbcr_u8.so.*
%{_libdir}/libkrossapi.la
%{_libdir}/libkrossapi.so.*
%{_libdir}/libkrossmain.la
%{_libdir}/libkrossmain.so.*
%{_libdir}/libkstore.la
%{_libdir}/libkstore.so.*
%{_libdir}/libkwmailmerge_interface.la
%{_libdir}/libkwmailmerge_interface.so.*
%{_libdir}/libkwmf.la
%{_libdir}/libkwmf.so.*
%{_datadir}/applications/kde/KThesaurus.desktop
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/applications/kde/koshell.desktop
%{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}widgets
%{_datadir}/apps/koshell
%{_datadir}/apps/kross
%{_datadir}/apps/thesaurus
%{_datadir}/config.kcfg/koshell.kcfg
%{_datadir}/doc/HTML/en/%{name}
%{_datadir}/doc/HTML/en/koshell
%{_datadir}/doc/HTML/en/thesaurus
%{_datadir}/icons/*/*/*/abs.png
%{_datadir}/icons/*/*/*/brackets.png
%{_datadir}/icons/*/*/*/frac.png
%{_datadir}/icons/*/*/*/gsub.png
%{_datadir}/icons/*/*/*/gsup.png
%{_datadir}/icons/*/*/*/int.png
%{_datadir}/icons/*/*/*/inscol.png
%{_datadir}/icons/*/*/*/insrow.png
%{_datadir}/icons/*/*/*/kthesaurus.png
%{_datadir}/icons/*/*/*/lsub.png
%{_datadir}/icons/*/*/*/lsup.png
%{_datadir}/icons/*/*/*/matrix.png
%{_datadir}/icons/*/*/*/multiline.png
%{_datadir}/icons/*/*/*/onetwomatrix.png
%{_datadir}/icons/*/*/*/over.png
%{_datadir}/icons/*/*/*/paren.png
%{_datadir}/icons/*/*/*/prod.png
%{_datadir}/icons/*/*/*/remcol.png
%{_datadir}/icons/*/*/*/remrow.png
%{_datadir}/icons/*/*/*/rsub.png
%{_datadir}/icons/*/*/*/rsup.png
%{_datadir}/icons/*/*/*/sqrt.png
%{_datadir}/icons/*/*/*/sum.png
%{_datadir}/icons/*/*/*/under.png
%{_datadir}/icons/*/*/*/koshell.png
%{_datadir}/icons/*/*/*/koshell.svgz
%{_datadir}/services/clipartthumbnail.desktop
%{_datadir}/services/kfile*.desktop
%{_datadir}/services/kwmailmerge*.desktop
%{_datadir}/services/kodocinfopropspage.desktop
%{_datadir}/services/%{name}thumbnail.desktop
%{_datadir}/services/kounavail.desktop
%{_datadir}/services/kprkword.desktop
%{_datadir}/services/ole_powerpoint97_import.desktop
%{_datadir}/services/thesaurustool.desktop
%{_datadir}/servicetypes/kochart.desktop
%{_datadir}/servicetypes/%{name}part.desktop
%{_datadir}/servicetypes/koplugin.desktop
%{_datadir}/servicetypes/kwmailmerge.desktop
%{_datadir}/servicetypes/widgetfactory.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/kde/kexidb
%{_includedir}/kde/kexiutils
%{_includedir}/kde/kross
%{_includedir}/kde/kword
%{_includedir}/kde/*.h
%{_libdir}/libkarboncommon.so
%{_libdir}/libkchartcommon.so
%{_libdir}/libkchartimageexport.so
%{_libdir}/libkdchart.so
%{_libdir}/libkexicore.so
%{_libdir}/libkexidatatable.so
%{_libdir}/libkexidb.so
%{_libdir}/libkexidbparser.so
%{_libdir}/libkexiextendedwidgets.so
%{_libdir}/libkexiformutils.so
%{_libdir}/libkexiguiutils.so
%{_libdir}/libkeximain.so
%{_libdir}/libkeximigrate.so
%{_libdir}/libkexirelationsview.so
%{_libdir}/libkexisql2.so
%{_libdir}/libkexisql3.so
%{_libdir}/libkexiutils.so
%{_libdir}/libkformdesigner.so
%{_libdir}/libkformulalib.so
%{_libdir}/libkiviocommon.so
%{_libdir}/libkochart.so
%{_libdir}/lib%{name}core.so
%{_libdir}/lib%{name}ui.so
%{_libdir}/libkopainter.so
%{_libdir}/libkopalette.so
%{_libdir}/libkoproperty.so
%{_libdir}/libkotext.so
%{_libdir}/libkowmf.so
%{_libdir}/libkpresenterimageexport.so
%{_libdir}/libkpresenterprivate.so
%{_libdir}/libkrita_cmyk_u16.so
%{_libdir}/libkrita_gray_u16.so
%{_libdir}/libkrita_lms_f32.so
%{_libdir}/libkrita_rgb_f16half.so
%{_libdir}/libkrita_rgb_f32.so
%{_libdir}/libkrita_rgb_u16.so
%{_libdir}/libkrita_ycbcr_u16.so
%{_libdir}/libkrita_ycbcr_u8.so
%{_libdir}/libkritacolor.so
%{_libdir}/libkritacommon.so
%{_libdir}/libkritagrayscale.so
%{_libdir}/libkritaimage.so
%{_libdir}/libkritargb.so
%{_libdir}/libkritascripting.so
%{_libdir}/libkritaui.so
%{_libdir}/libkrossapi.so
%{_libdir}/libkrossmain.so
%{_libdir}/libkspreadcommon.so
%{_libdir}/libkstore.so
%{_libdir}/libkugarlib.so
%{_libdir}/libkwmailmerge_interface.so
%{_libdir}/libkwmf.so
%{_libdir}/libkwordexportfilters.so
%{_libdir}/libkwordprivate.so
%{_datadir}/doc/HTML/en/%{name}-apidocs

%files filters
%defattr(-,root,root)
%{_libdir}/kde3/libabiwordexport.la
%{_libdir}/kde3/libabiwordexport.so
%{_libdir}/kde3/libabiwordimport.la
%{_libdir}/kde3/libabiwordimport.so
%{_libdir}/kde3/libamiproexport.la
%{_libdir}/kde3/libamiproexport.so
%{_libdir}/kde3/libamiproimport.la
%{_libdir}/kde3/libamiproimport.so
%{_libdir}/kde3/libapplixspreadimport.la
%{_libdir}/kde3/libapplixspreadimport.so
%{_libdir}/kde3/libapplixwordimport.la
%{_libdir}/kde3/libapplixwordimport.so
%{_libdir}/kde3/libasciiexport.la
%{_libdir}/kde3/libasciiexport.so
%{_libdir}/kde3/libasciiimport.la
%{_libdir}/kde3/libasciiimport.so
%{_libdir}/kde3/libdbaseimport.la
%{_libdir}/kde3/libdbaseimport.so
%{_libdir}/kde3/libdocbookexport.la
%{_libdir}/kde3/libdocbookexport.so
%{_libdir}/kde3/libexcelimport.la
%{_libdir}/kde3/libexcelimport.so
%{_libdir}/kde3/libgenerickofilter.la
%{_libdir}/kde3/libgenerickofilter.so
%{_libdir}/kde3/libhancomwordimport.la
%{_libdir}/kde3/libhancomwordimport.so
%{_libdir}/kde3/libhtmlexport.la
%{_libdir}/kde3/libhtmlexport.so
%{_libdir}/kde3/libhtmlimport.la
%{_libdir}/kde3/libhtmlimport.so
%{_libdir}/kde3/libkfolatexexport.la
%{_libdir}/kde3/libkfolatexexport.so
%{_libdir}/kde3/libkfomathmlexport.la
%{_libdir}/kde3/libkfomathmlexport.so
%{_libdir}/kde3/libkfomathmlimport.la
%{_libdir}/kde3/libkfomathmlimport.so
%{_libdir}/kde3/libkfopngexport.la
%{_libdir}/kde3/libkfopngexport.so
%{_libdir}/kde3/libkfosvgexport.la
%{_libdir}/kde3/libkfosvgexport.so
%{_libdir}/kde3/libkspreadlatexexport.la
%{_libdir}/kde3/libkspreadlatexexport.so
%{_libdir}/kde3/libkugarnopimport.la
%{_libdir}/kde3/libkugarnopimport.so
%{_libdir}/kde3/libkwordkword1dot3import.la
%{_libdir}/kde3/libkwordkword1dot3import.so
%{_libdir}/kde3/libkwordlatexexport.la
%{_libdir}/kde3/libkwordlatexexport.so
%{_libdir}/kde3/libmswordimport.la
%{_libdir}/kde3/libmswordimport.so
%{_libdir}/kde3/libmswriteexport.la
%{_libdir}/kde3/libmswriteexport.so
%{_libdir}/kde3/libmswriteimport.la
%{_libdir}/kde3/libmswriteimport.so
%{_libdir}/kde3/liboodrawimport.la
%{_libdir}/kde3/liboodrawimport.so
%{_libdir}/kde3/libooimpressexport.la
%{_libdir}/kde3/libooimpressexport.so
%{_libdir}/kde3/libooimpressimport.la
%{_libdir}/kde3/libooimpressimport.so
%{_libdir}/kde3/liboowriterexport.la
%{_libdir}/kde3/liboowriterexport.so
%{_libdir}/kde3/liboowriterimport.la
%{_libdir}/kde3/liboowriterimport.so
%{_libdir}/kde3/libpalmdocexport.la
%{_libdir}/kde3/libpalmdocexport.so
%{_libdir}/kde3/libpalmdocimport.la
%{_libdir}/kde3/libpalmdocimport.so
%{_libdir}/kde3/librtfexport.la
%{_libdir}/kde3/librtfexport.so
%{_libdir}/kde3/librtfimport.la
%{_libdir}/kde3/librtfimport.so
%{_libdir}/kde3/libxsltimport.la
%{_libdir}/kde3/libxsltimport.so
%{_libdir}/kde3/libxsltexport.la
%{_libdir}/kde3/libxsltexport.so
%{_libdir}/kde3/libwmlexport.la
%{_libdir}/kde3/libwmlexport.so
%{_libdir}/kde3/libwmlimport.la
%{_libdir}/kde3/libwmlimport.so
%{_libdir}/kde3/libwpexport.la
%{_libdir}/kde3/libwpexport.so
%{_libdir}/kde3/libwpimport.la
%{_libdir}/kde3/libwpimport.so
%{_libdir}/libkwordexportfilters.la
%{_libdir}/libkwordexportfilters.so.*
%{_datadir}/apps/xsltfilter
%{_datadir}/services/generic_filter.desktop
%{_datadir}/services/xslt_export.desktop
%{_datadir}/services/xslt_import.desktop
%{_datadir}/servicetypes/kofilter.desktop
%{_datadir}/servicetypes/kofilterwrapper.desktop

%files karbon
%defattr(-,root,root)
%{_bindir}/karbon
%{_libdir}/kde3/karbon.la
%{_libdir}/kde3/karbon.so
%{_libdir}/kde3/karbon_defaulttools.la
%{_libdir}/kde3/karbon_defaulttools.so
%{_libdir}/kde3/karbon_flattenpathplugin.la
%{_libdir}/kde3/karbon_flattenpathplugin.so
%{_libdir}/kde3/karbon_imagetoolplugin.la
%{_libdir}/kde3/karbon_imagetoolplugin.so
%{_libdir}/kde3/karbon_insertknotsplugin.la
%{_libdir}/kde3/karbon_insertknotsplugin.so
%{_libdir}/kde3/karbon_roundcornersplugin.la
%{_libdir}/kde3/karbon_roundcornersplugin.so
%{_libdir}/kde3/karbon_shadoweffectplugin.la
%{_libdir}/kde3/karbon_shadoweffectplugin.so
%{_libdir}/kde3/karbon_whirlpinchplugin.la
%{_libdir}/kde3/karbon_whirlpinchplugin.so
%{_libdir}/kde3/karbon_zoomtoolplugin.la
%{_libdir}/kde3/karbon_zoomtoolplugin.so
%{_libdir}/kde3/libkarbonaiimport.la
%{_libdir}/kde3/libkarbonaiimport.so
%{_libdir}/kde3/libkarbonepsexport.la
%{_libdir}/kde3/libkarbonepsexport.so
%{_libdir}/kde3/libkarbonepsimport.la
%{_libdir}/kde3/libkarbonepsimport.so
%{_libdir}/kde3/libkarbonkontourimport.la
%{_libdir}/kde3/libkarbonkontourimport.so
%{_libdir}/kde3/libkarbonmsodimport.la
%{_libdir}/kde3/libkarbonmsodimport.so
%{_libdir}/kde3/libkarbonpart.la
%{_libdir}/kde3/libkarbonpart.so
%{_libdir}/kde3/libkarbonpngexport.la
%{_libdir}/kde3/libkarbonpngexport.so
%{_libdir}/kde3/libkarbonsvgexport.la
%{_libdir}/kde3/libkarbonsvgexport.so
%{_libdir}/kde3/libkarbonsvgimport.la
%{_libdir}/kde3/libkarbonsvgimport.so
%{_libdir}/kde3/libkarbonxcfexport.la
%{_libdir}/kde3/libkarbonxcfexport.so
%{_libdir}/kde3/libwmfexport.la
%{_libdir}/kde3/libwmfexport.so
%{_libdir}/kde3/libwmfimport.la
%{_libdir}/kde3/libwmfimport.so
%{_libdir}/libkarboncommon.la
%{_libdir}/libkarboncommon.so.*
%{_libdir}/libkdeinit_karbon.la
%{_libdir}/libkdeinit_karbon.so
%{_datadir}/applications/kde/karbon.desktop
%{_datadir}/apps/karbon
%{_datadir}/apps/konqueror/servicemenus/karbon_konqi.desktop
%{_datadir}/doc/HTML/en/karbon
%{_datadir}/icons/*/*/*/karbon.png
%{_datadir}/icons/*/*/*/karbon.svgz
%{_datadir}/services/karbon*.desktop
%{_datadir}/servicetypes/karbon_module.desktop
%{_datadir}/templates/.source/Illustration.karbon
%{_datadir}/templates/Illustration.desktop

%files kchart
%defattr(-,root,root)
%{_bindir}/kchart
%{_libdir}/kde3/kchart.la
%{_libdir}/kde3/kchart.so
%{_libdir}/kde3/libkchartpart.la
%{_libdir}/kde3/libkchartpart.so
%{_libdir}/kde3/libkchartpngexport.la
%{_libdir}/kde3/libkchartpngexport.so
%{_libdir}/kde3/libkchartsvgexport.la
%{_libdir}/kde3/libkchartsvgexport.so
%{_libdir}/kde3/libkchartbmpexport.la
%{_libdir}/kde3/libkchartbmpexport.so
%{_libdir}/kde3/libkchartjpegexport.la
%{_libdir}/kde3/libkchartjpegexport.so
%{_libdir}/kde3/libkchartmngexport.la
%{_libdir}/kde3/libkchartmngexport.so
%{_libdir}/kde3/libkchartxbmexport.la
%{_libdir}/kde3/libkchartxbmexport.so
%{_libdir}/kde3/libkchartxpmexport.la
%{_libdir}/kde3/libkchartxpmexport.so
%{_libdir}/libkchartcommon.la
%{_libdir}/libkchartcommon.so.*
%{_libdir}/libkchartimageexport.la
%{_libdir}/libkchartimageexport.so.*
%{_libdir}/libkdeinit_kchart.la
%{_libdir}/libkdeinit_kchart.so
%{_datadir}/applications/kde/kchart.desktop
%{_datadir}/apps/kchart
%{_datadir}/apps/konqueror/servicemenus/kchart_konqi.desktop
%{_datadir}/doc/HTML/en/kchart
%{_datadir}/icons/*/*/*/kchart.png
%{_datadir}/services/kchart*.desktop

%files kexi
%defattr(-,root,root)
%{_bindir}/kexi
%{_bindir}/kexi_add_column
%{_bindir}/kexi_add_column_gui
%{_bindir}/kexi_delete_column
%{_bindir}/kexi_delete_column_gui
%{_bindir}/ksqlite
%{_bindir}/ksqlite2
%{_bindir}/ksqlite2to3
%{_libdir}/kde3/kexi.la
%{_libdir}/kde3/kexi.so
%{_libdir}/kde3/kexidb_mysqldriver.la
%{_libdir}/kde3/kexidb_mysqldriver.so
%{_libdir}/kde3/kexidb_pqxxsqldriver.la
%{_libdir}/kde3/kexidb_pqxxsqldriver.so
%{_libdir}/kde3/kexidb_sqlite2driver.la
%{_libdir}/kde3/kexidb_sqlite2driver.so
%{_libdir}/kde3/kexidb_sqlite3driver.la
%{_libdir}/kde3/kexidb_sqlite3driver.so
%{_libdir}/kde3/kexihandler_csv_importexport.la
%{_libdir}/kde3/kexihandler_csv_importexport.so
%{_libdir}/kde3/kexihandler_form.la
%{_libdir}/kde3/kexihandler_form.so
%{_libdir}/kde3/kexihandler_migration.la
%{_libdir}/kde3/kexihandler_migration.so
%{_libdir}/kde3/kexihandler_query.la
%{_libdir}/kde3/kexihandler_query.so
%{_libdir}/kde3/kexihandler_relation.la
%{_libdir}/kde3/kexihandler_relation.so
%{_libdir}/kde3/kexihandler_script.la
%{_libdir}/kde3/kexihandler_script.so
%{_libdir}/kde3/kexihandler_table.la
%{_libdir}/kde3/kexihandler_table.so
%{_libdir}/kde3/keximigrate_mysql.la
%{_libdir}/kde3/keximigrate_mysql.so
%{_libdir}/kde3/keximigrate_pqxx.la
%{_libdir}/kde3/keximigrate_pqxx.so
%{_libdir}/kde3/kformdesigner_containers.la
%{_libdir}/kde3/kformdesigner_containers.so
%{_libdir}/kde3/kformdesigner_kexidbwidgets.la
%{_libdir}/kde3/kformdesigner_kexidbwidgets.so
%{_libdir}/kde3/kformdesigner_stdwidgets.la
%{_libdir}/kde3/kformdesigner_stdwidgets.so
%{_libdir}/kde3/krosskexiapp.la
%{_libdir}/kde3/krosskexiapp.so
%{_libdir}/kde3/krosskexidb.la
%{_libdir}/kde3/krosskexidb.so
%{_libdir}/kde3/krosskritacore.la
%{_libdir}/kde3/krosskritacore.so
%{_libdir}/libkdeinit_kexi.la
%{_libdir}/libkdeinit_kexi.so
%{_libdir}/libkexicore.la
%{_libdir}/libkexicore.so.*
%{_libdir}/libkexidatatable.la
%{_libdir}/libkexidatatable.so.*
%{_libdir}/libkexidb.la
%{_libdir}/libkexidb.so.*
%{_libdir}/libkexidbparser.la
%{_libdir}/libkexidbparser.so.*
%{_libdir}/libkexiextendedwidgets.la
%{_libdir}/libkexiextendedwidgets.so.*
%{_libdir}/libkexiformutils.la
%{_libdir}/libkexiformutils.so.*
%{_libdir}/libkexiguiutils.la
%{_libdir}/libkexiguiutils.so.*
%{_libdir}/libkeximain.la
%{_libdir}/libkeximain.so.*
%{_libdir}/libkeximigrate.la
%{_libdir}/libkeximigrate.so.*
%{_libdir}/libkexirelationsview.la
%{_libdir}/libkexirelationsview.so.*
%{_libdir}/libkexisql2.la
%{_libdir}/libkexisql2.so.*
%{_libdir}/libkexisql3.la
%{_libdir}/libkexisql3.so.*
%{_libdir}/libkexiutils.la
%{_libdir}/libkexiutils.so.*
%{_libdir}/libkformdesigner.la
%{_libdir}/libkformdesigner.so.*
%{_datadir}/applications/kde/kexi.desktop
%{_datadir}/apps/kexi
%{_datadir}/apps/konqueror/servicemenus/kexi_konqi.desktop
%{_datadir}/config/kexirc
%{_datadir}/config/magic/kexi.magic
%{_datadir}/doc/HTML/en/kexi
%{_datadir}/icons/*/*/*/kexi.png
%{_datadir}/icons/*/*/*/kexi.svgz
%{_datadir}/icons/*/*/*/kexiproject_shortcut.png
%{_datadir}/icons/*/*/*/kexiproject_sqlite.png
%{_datadir}/icons/*/*/*/kexiproject_sqlite2.png
%{_datadir}/locale/pl/LC_MESSAGES/kexi_add_column_gui_transl_pl.sh
%{_datadir}/locale/pl/LC_MESSAGES/kexi_delete_column_gui_transl_pl.sh
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/services/kexi
%{_datadir}/services/kformdesigner
%{_datadir}/services/kexi*.desktop
%{_datadir}/servicetypes/kexi*.desktop

%files kformula
%defattr(-,root,root)
%{_bindir}/kformula
%{_libdir}/kde3/kformula.la
%{_libdir}/kde3/kformula.so
%{_libdir}/kde3/libkformulapart.la
%{_libdir}/kde3/libkformulapart.so
%{_libdir}/libkdeinit_kformula.la
%{_libdir}/libkdeinit_kformula.so
%{_datadir}/applications/kde/kformula.desktop
%{_datadir}/apps/konqueror/servicemenus/kformula_konqi.desktop
%{_datadir}/apps/kformula
%{_datadir}/doc/HTML/en/kformula
%{_datadir}/icons/*/*/*/kformula.png
%{_datadir}/services/kformula*.desktop

%files kivio
%defattr(-,root,root)
%{_bindir}/kivio
%{_libdir}/kde3/kivio.la
%{_libdir}/kde3/kivio.so
%{_libdir}/kde3/libkivioconnectortool.la
%{_libdir}/kde3/libkivioconnectortool.so
%{_libdir}/kde3/libkivioimageexport.la
%{_libdir}/kde3/libkivioimageexport.so
%{_libdir}/kde3/libkiviopart.la
%{_libdir}/kde3/libkiviopart.so
%{_libdir}/kde3/libkivioselecttool.la
%{_libdir}/kde3/libkivioselecttool.so
%{_libdir}/kde3/libkiviotargettool.la
%{_libdir}/kde3/libkiviotargettool.so
%{_libdir}/kde3/libkiviotexttool.la
%{_libdir}/kde3/libkiviotexttool.so
%{_libdir}/kde3/libkiviozoomtool.la
%{_libdir}/kde3/libkiviozoomtool.so
%{_libdir}/kde3/straight_connector.la
%{_libdir}/kde3/straight_connector.so
%{_libdir}/libkdeinit_kivio.la
%{_libdir}/libkdeinit_kivio.so
%{_libdir}/libkiviocommon.la
%{_libdir}/libkiviocommon.so.*
%{_datadir}/applications/kde/kivio.desktop
%{_datadir}/apps/kivio
%{_datadir}/apps/konqueror/servicemenus/kivio_konqi.desktop
%{_datadir}/config.kcfg/kivio.kcfg
%{_datadir}/doc/HTML/en/kivio
%{_datadir}/icons/*/*/*/kivio.png
%{_datadir}/services/kivio*.desktop

%files kplato
%defattr(-,root,root)
%{_bindir}/kplato
%{_libdir}/kde3/kplato.la
%{_libdir}/kde3/kplato.so
%{_libdir}/kde3/libkplatopart.la
%{_libdir}/kde3/libkplatopart.so
%{_libdir}/libkdeinit_kplato.la
%{_libdir}/libkdeinit_kplato.so
%{_datadir}/applications/kde/kplato.desktop
%{_datadir}/apps/kplato
%{_datadir}/doc/HTML/en/kplato
%{_datadir}/icons/*/*/*/kplato.png
%{_datadir}/icons/*/*/*/kplato.svgz
%{_datadir}/services/kplatopart.desktop

%files kpresenter
%defattr(-,root,root)
%{_bindir}/kpresenter
%{_bindir}/kprconverter.pl
%{_libdir}/kde3/kpresenter.la
%{_libdir}/kde3/kpresenter.so
%{_libdir}/kde3/libkpresenterbmpexport.la
%{_libdir}/kde3/libkpresenterbmpexport.so
%{_libdir}/kde3/libkpresenterjpegexport.la
%{_libdir}/kde3/libkpresenterjpegexport.so
%{_libdir}/kde3/libkpresentermngexport.la
%{_libdir}/kde3/libkpresentermngexport.so
%{_libdir}/kde3/libkpresenterpart.la
%{_libdir}/kde3/libkpresenterpart.so
%{_libdir}/kde3/libkpresenterpngexport.la
%{_libdir}/kde3/libkpresenterpngexport.so
%{_libdir}/kde3/libkpresentersvgexport.la
%{_libdir}/kde3/libkpresentersvgexport.so
%{_libdir}/kde3/libkpresenterxbmexport.la
%{_libdir}/kde3/libkpresenterxbmexport.so
%{_libdir}/kde3/libkpresenterxpmexport.la
%{_libdir}/kde3/libkpresenterxpmexport.so
%{_libdir}/libkdeinit_kpresenter.la
%{_libdir}/libkdeinit_kpresenter.so
%{_libdir}/libkpresenterimageexport.la
%{_libdir}/libkpresenterimageexport.so.*
%{_libdir}/libkpresenterprivate.la
%{_libdir}/libkpresenterprivate.so.*
%{_datadir}/applications/kde/kpresenter.desktop
%{_datadir}/apps/konqueror/servicemenus/kpresenter_konqi.desktop
%{_datadir}/apps/kpresenter
%{_datadir}/doc/HTML/en/kpresenter
%{_datadir}/icons/*/*/*/kpresenter.png
%{_datadir}/services/kpresenter*.desktop
%{_datadir}/templates/.source/Presentation.kpt
%{_datadir}/templates/Presentation.desktop

%files krita
%defattr(-,root,root)
%{_bindir}/krita
%{_libdir}/kde3/krita.la
%{_libdir}/kde3/krita.so
%{_libdir}/kde3/krita_cmyk_u16_plugin.la
%{_libdir}/kde3/krita_cmyk_u16_plugin.so
%{_libdir}/kde3/krita_gray_u16_plugin.la
%{_libdir}/kde3/krita_gray_u16_plugin.so
%{_libdir}/kde3/krita_lms_f32_plugin.la
%{_libdir}/kde3/krita_lms_f32_plugin.so
%{_libdir}/kde3/krita_rgb_f16half_plugin.la
%{_libdir}/kde3/krita_rgb_f16half_plugin.so
%{_libdir}/kde3/krita_rgb_f32_plugin.la
%{_libdir}/kde3/krita_rgb_f32_plugin.so
%{_libdir}/kde3/krita_rgb_u16_plugin.la
%{_libdir}/kde3/krita_rgb_u16_plugin.so
%{_libdir}/kde3/krita_ycbcr_u16_plugin.la
%{_libdir}/kde3/krita_ycbcr_u16_plugin.so
%{_libdir}/kde3/krita_ycbcr_u8_plugin.la
%{_libdir}/kde3/krita_ycbcr_u8_plugin.so
%{_libdir}/kde3/kritablurfilter.la
%{_libdir}/kde3/kritablurfilter.so
%{_libdir}/kde3/kritabumpmap.la
%{_libdir}/kde3/kritabumpmap.so
%{_libdir}/kde3/kritacimg.la
%{_libdir}/kde3/kritacimg.so
%{_libdir}/kde3/kritacmykplugin.la
%{_libdir}/kde3/kritacmykplugin.so
%{_libdir}/kde3/kritacolorify.la
%{_libdir}/kde3/kritacolorify.so
%{_libdir}/kde3/kritacolorrange.la
%{_libdir}/kde3/kritacolorrange.so
%{_libdir}/kde3/kritacolorsfilters.la
%{_libdir}/kde3/kritacolorsfilters.so
%{_libdir}/kde3/kritacolorspaceconversion.la
%{_libdir}/kde3/kritacolorspaceconversion.so
%{_libdir}/kde3/kritaconvolutionfilters.la
%{_libdir}/kde3/kritaconvolutionfilters.so
%{_libdir}/kde3/kritadefaultpaintops.la
%{_libdir}/kde3/kritadefaultpaintops.so
%{_libdir}/kde3/kritadefaulttools.la
%{_libdir}/kde3/kritadefaulttools.so
%{_libdir}/kde3/kritadropshadow.la
%{_libdir}/kde3/kritadropshadow.so
%{_libdir}/kde3/kritaembossfilter.la
%{_libdir}/kde3/kritaembossfilter.so
%{_libdir}/kde3/kritaexample.la
%{_libdir}/kde3/kritaexample.so
%{_libdir}/kde3/kritaextensioncolorsfilters.la
%{_libdir}/kde3/kritaextensioncolorsfilters.so
%{_libdir}/kde3/kritafastcolortransfer.la
%{_libdir}/kde3/kritafastcolortransfer.so
%{_libdir}/kde3/kritafiltersgallery.la
%{_libdir}/kde3/kritafiltersgallery.so
%{_libdir}/kde3/kritagrayplugin.la
%{_libdir}/kde3/kritagrayplugin.so
%{_libdir}/kde3/kritahistogram.la
%{_libdir}/kde3/kritahistogram.so
%{_libdir}/kde3/kritahistogramdocker.la
%{_libdir}/kde3/kritahistogramdocker.so
%{_libdir}/kde3/kritaimageenhancement.la
%{_libdir}/kde3/kritaimageenhancement.so
%{_libdir}/kde3/kritaimagesize.la
%{_libdir}/kde3/kritaimagesize.so
%{_libdir}/kde3/kritalenscorrectionfilter.la
%{_libdir}/kde3/kritalenscorrectionfilter.so
%{_libdir}/kde3/kritalevelfilter.la
%{_libdir}/kde3/kritalevelfilter.so
%{_libdir}/kde3/kritamodifyselection.la
%{_libdir}/kde3/kritamodifyselection.so
%{_libdir}/kde3/kritanoisefilter.la
%{_libdir}/kde3/kritanoisefilter.so
%{_libdir}/kde3/kritaoilpaintfilter.la
%{_libdir}/kde3/kritaoilpaintfilter.so
%{_libdir}/kde3/kritapixelizefilter.la
%{_libdir}/kde3/kritapixelizefilter.so
%{_libdir}/kde3/kritaraindropsfilter.la
%{_libdir}/kde3/kritaraindropsfilter.so
%{_libdir}/kde3/kritarandompickfilter.la
%{_libdir}/kde3/kritarandompickfilter.so
%{_libdir}/kde3/kritargbplugin.la
%{_libdir}/kde3/kritargbplugin.so
%{_libdir}/kde3/kritarotateimage.la
%{_libdir}/kde3/kritarotateimage.so
%{_libdir}/kde3/kritaroundcornersfilter.la
%{_libdir}/kde3/kritaroundcornersfilter.so
%{_libdir}/kde3/kritascreenshot.la
%{_libdir}/kde3/kritascreenshot.so
%{_libdir}/kde3/kritascripting.la
%{_libdir}/kde3/kritascripting.so
%{_libdir}/kde3/kritaselectiontools.la
%{_libdir}/kde3/kritaselectiontools.so
%{_libdir}/kde3/kritaselectopaque.la
%{_libdir}/kde3/kritaselectopaque.so
%{_libdir}/kde3/kritaseparatechannels.la
%{_libdir}/kde3/kritaseparatechannels.so
%{_libdir}/kde3/kritashearimage.la
%{_libdir}/kde3/kritashearimage.so
%{_libdir}/kde3/kritasmalltilesfilter.la
%{_libdir}/kde3/kritasmalltilesfilter.so
%{_libdir}/kde3/kritasobelfilter.la
%{_libdir}/kde3/kritasobelfilter.so
%{_libdir}/kde3/kritasubstrate.la
%{_libdir}/kde3/kritasubstrate.so
%{_libdir}/kde3/kritatoolcrop.la
%{_libdir}/kde3/kritatoolcrop.so
%{_libdir}/kde3/kritatoolcurves.la
%{_libdir}/kde3/kritatoolcurves.so
%{_libdir}/kde3/kritatoolfilter.la
%{_libdir}/kde3/kritatoolfilter.so
%{_libdir}/kde3/kritatoolperspectivegrid.la
%{_libdir}/kde3/kritatoolperspectivegrid.so
%{_libdir}/kde3/kritatoolperspectivetransform.la
%{_libdir}/kde3/kritatoolperspectivetransform.so
%{_libdir}/kde3/kritatoolpolygon.la
%{_libdir}/kde3/kritatoolpolygon.so
%{_libdir}/kde3/kritatoolpolyline.la
%{_libdir}/kde3/kritatoolpolyline.so
%{_libdir}/kde3/kritatoolselectsimilar.la
%{_libdir}/kde3/kritatoolselectsimilar.so
%{_libdir}/kde3/kritatoolstar.la
%{_libdir}/kde3/kritatoolstar.so
%{_libdir}/kde3/kritatooltransform.la
%{_libdir}/kde3/kritatooltransform.so
%{_libdir}/kde3/kritaunsharpfilter.la
%{_libdir}/kde3/kritaunsharpfilter.so
%{_libdir}/kde3/kritawavefilter.la
%{_libdir}/kde3/kritawavefilter.so
%{_libdir}/kde3/kritawetplugin.la
%{_libdir}/kde3/kritawetplugin.so
%{_libdir}/kde3/libkrita_openexr_export.la
%{_libdir}/kde3/libkrita_openexr_export.so
%{_libdir}/kde3/libkrita_openexr_import.la
%{_libdir}/kde3/libkrita_openexr_import.so
%{_libdir}/kde3/libkrita_raw_import.la
%{_libdir}/kde3/libkrita_raw_import.so
%{_libdir}/kde3/libkritajpegexport.la
%{_libdir}/kde3/libkritajpegexport.so
%{_libdir}/kde3/libkritajpegimport.la
%{_libdir}/kde3/libkritajpegimport.so
%{_libdir}/kde3/libkritapart.la
%{_libdir}/kde3/libkritapart.so
%{_libdir}/kde3/libkritapdfimport.la
%{_libdir}/kde3/libkritapdfimport.so
%{_libdir}/kde3/libkritapngexport.la
%{_libdir}/kde3/libkritapngexport.so
%{_libdir}/kde3/libkritapngimport.la
%{_libdir}/kde3/libkritapngimport.so
%{_libdir}/kde3/libkritatiffexport.la
%{_libdir}/kde3/libkritatiffexport.so
%{_libdir}/kde3/libkritatiffimport.la
%{_libdir}/kde3/libkritatiffimport.so
%{_libdir}/libkdeinit_krita.la
%{_libdir}/libkdeinit_krita.so
%{_libdir}/libkrita_cmyk_u16.la
%{_libdir}/libkrita_cmyk_u16.so.*
%{_libdir}/libkrita_gray_u16.la
%{_libdir}/libkrita_gray_u16.so.*
%{_libdir}/libkrita_lms_f32.la
%{_libdir}/libkrita_lms_f32.so.*
%{_libdir}/libkrita_rgb_f16half.la
%{_libdir}/libkrita_rgb_f16half.so.*
%{_libdir}/libkrita_rgb_f32.la
%{_libdir}/libkrita_rgb_f32.so.*
%{_libdir}/libkrita_rgb_u16.la
%{_libdir}/libkrita_rgb_u16.so.*
%{_libdir}/libkritacolor.la
%{_libdir}/libkritacolor.so.*
%{_libdir}/libkritacommon.la
%{_libdir}/libkritacommon.so.*
%{_libdir}/libkritagrayscale.la
%{_libdir}/libkritagrayscale.so.*
%{_libdir}/libkritaimage.la
%{_libdir}/libkritaimage.so.*
%{_libdir}/libkritargb.la
%{_libdir}/libkritargb.so.*
%{_libdir}/libkritascripting.la
%{_libdir}/libkritascripting.so.*
%{_libdir}/libkritaui.la
%{_libdir}/libkritaui.so.*
%{_datadir}/applications/kde/krita*.desktop
%{_datadir}/applnk/.hidden/krita*.desktop
%{_datadir}/apps/konqueror/servicemenus/krita_konqi.desktop
%{_datadir}/apps/krita
%{_datadir}/apps/kritaplugins
%{_datadir}/doc/HTML/en/krita
%{_datadir}/icons/*/*/*/krita.png
%{_datadir}/services/krita*.desktop
%{_datadir}/servicetypes/krita*.desktop

%files kspread
%defattr(-,root,root)
%{_bindir}/kspread
%{_libdir}/kde3/krosskspreadcore.la
%{_libdir}/kde3/krosskspreadcore.so
%{_libdir}/kde3/kspread.la
%{_libdir}/kde3/kspread.so
%{_libdir}/kde3/kspreadscripting.la
%{_libdir}/kde3/kspreadscripting.so
%{_libdir}/kde3/kwmailmerge_kspread.la
%{_libdir}/kde3/kwmailmerge_kspread.so
%{_libdir}/kde3/libcsvexport.la
%{_libdir}/kde3/libcsvexport.so
%{_libdir}/kde3/libcsvimport.la
%{_libdir}/kde3/libcsvimport.so
%{_libdir}/kde3/libgnumericexport.la
%{_libdir}/kde3/libgnumericexport.so
%{_libdir}/kde3/libgnumericimport.la
%{_libdir}/kde3/libgnumericimport.so
%{_libdir}/kde3/libkspreadhtmlexport.la
%{_libdir}/kde3/libkspreadhtmlexport.so
%{_libdir}/kde3/libkspreadinsertcalendar.la
%{_libdir}/kde3/libkspreadinsertcalendar.so
%{_libdir}/kde3/libkspreadkexiimport.la
%{_libdir}/kde3/libkspreadkexiimport.so
%{_libdir}/kde3/libkspreadpart.la
%{_libdir}/kde3/libkspreadpart.so
%{_libdir}/kde3/libopencalcexport.la
%{_libdir}/kde3/libopencalcexport.so
%{_libdir}/kde3/libopencalcimport.la
%{_libdir}/kde3/libopencalcimport.so
%{_libdir}/kde3/libqproimport.la
%{_libdir}/kde3/libqproimport.so
%{_libdir}/libkdeinit_kspread.la
%{_libdir}/libkdeinit_kspread.so
%{_libdir}/libkspreadcommon.la
%{_libdir}/libkspreadcommon.so.*
%{_datadir}/applications/kde/kspread.desktop
%{_datadir}/apps/konqueror/servicemenus/kspread_konqi.desktop
%{_datadir}/apps/kspread
%{_datadir}/doc/HTML/en/kspread
%{_datadir}/icons/*/*/*/kspread.png
%{_datadir}/services/kspread*.desktop
%{_datadir}/templates/.source/SpreadSheet.kst
%{_datadir}/templates/SpreadSheet.desktop

%files kugar
%defattr(-,root,root)
%{_bindir}/kudesigner
%{_bindir}/kugar
%{_libdir}/kde3/kudesigner.la
%{_libdir}/kde3/kudesigner.so
%{_libdir}/kde3/kugar.la
%{_libdir}/kde3/kugar.so
%{_libdir}/kde3/libkudesignerpart.la
%{_libdir}/kde3/libkudesignerpart.so
%{_libdir}/kde3/libkugarpart.la
%{_libdir}/kde3/libkugarpart.so
%{_libdir}/libkdeinit_kudesigner.la
%{_libdir}/libkdeinit_kudesigner.so
%{_libdir}/libkdeinit_kugar.la
%{_libdir}/libkdeinit_kugar.so
%{_libdir}/libkudesignercore.la
%{_libdir}/libkudesignercore.so
%{_libdir}/libkugarlib.la
%{_libdir}/libkugarlib.so.*
%{_datadir}/applications/kde/kudesigner.desktop
%{_datadir}/applications/kde/kugar.desktop
%{_datadir}/apps/kudesigner
%{_datadir}/apps/kugar
%{_datadir}/doc/HTML/en/kugar
%{_datadir}/icons/*/*/*/kudesigner.png
%{_datadir}/icons/*/*/*/kugar.png
%{_datadir}/icons/*/*/*/kugardata.png
%{_datadir}/services/kugar*.desktop

%files kword
%defattr(-,root,root)
%{_bindir}/kword
%{_libdir}/kde3/libkwordpart.la
%{_libdir}/kde3/libkwordpart.so
%{_libdir}/kde3/kword.la
%{_libdir}/kde3/kword.so
%{_libdir}/libkdeinit_kword.la
%{_libdir}/libkdeinit_kword.so
%{_libdir}/libkwordprivate.la
%{_libdir}/libkwordprivate.so.*
%{_datadir}/applications/kde/kword.desktop
%{_datadir}/apps/konqueror/servicemenus/kword_konqi.desktop
%{_datadir}/apps/kword
%{_datadir}/doc/HTML/en/kword
%{_datadir}/icons/*/*/*/kword.png
%{_datadir}/services/kword*.desktop
%{_datadir}/services/kwserial*.desktop
%{_datadir}/templates/.source/TextDocument.kwt
%{_datadir}/templates/TextDocument.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.3-31m)
- full rebuild for mo7 release

* Fri Aug 20 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-30m)
- [SECURITY] CVE-2009-0146 CVE-2009-0147 CVE-2009-0165 CVE-2009-0166
- [SECURITY] CVE-2009-0195 CVE-2009-0799 CVE-2009-0800 CVE-2009-1179
- [SECURITY] CVE-2009-1180 CVE-2009-1181 CVE-2009-3606 CVE-2009-3608
- [SECURITY] CVE-2009-3609
- remove pdf-import-filter of kword by 90_no_pdf.diff imported from Ubuntu

* Tue Aug 10 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.6.3-29m)
- add BuildRequires

* Fri Aug  6 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.3-28m)
- build with ruby18

* Sun Aug  1 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-27m)
- revert to version 1.6.3
- koffice2 can not handle Japanese input methods without crash
- so sad, good-bye koffice2 for the moment, I'm crying in the moonlight

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.1-2m)
- release %%{_datadir}/color and %%{_datadir}/color/icc

* Fri Jul  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.0-5m)
- rebuild against qt-4.6.3-1m

* Sat Jun 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.0-4m)
- build with OpenGTL

* Wed Jun  9 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.0-3m)
- rebuild against poppler-0.14.0

* Sun May 30 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.0-2m)
- rebuild against exiv2-0.20

* Fri May 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.0-1m)
- update to 2.2.0
- almost sync with Fedora devel

* Sun May  9 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.2-3m)
- fix build with new qt

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.2-2m)
- rebuild against libjpeg-8a

* Thu Apr  1 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.2-1m)
- update to 2.1.2

* Wed Jan 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.1-1m)
- update to 2.1.1

* Tue Jan  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.0-3m)
- rebuild against exiv2-0.19

* Thu Dec 10 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.0-2m)
- rebuild against kdegraphics-4.3.80

* Wed Nov 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.0-1m)
- update to koffice 2.1.0 official

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.91-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Oct 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.91-1m)
- update to 2.0.91

* Sun Oct 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.83-2m)
- fix %%files to avoid conflicting
- fix up kplatowork.desktop to avoid displaying "Lost & Found" in menu
- remove needless Obsoletes: kivio and clean up spec file

* Sat Oct 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.83-1m)
- update to koffice2 (2.0.83)
- rebuild against GraphicsMagick-1.3.7

* Fri Sep 18 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.3-26m)
- apply glibc210 patch

* Fri Sep 11 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.3-25m)
- rebuild against libjpeg-7

* Thu Jul  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-24m)
- fix up kexi/tools against bash-4.0

* Wed May 20 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-23m)
- fix build with new automake

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.3-22m)
- rebuild against mysql-5.1.32

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.3-21m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.3-20m)
- rebuild against rpm-4.6

* Mon Jan 12 2009 NARITA Koichi <pulsar@momonga-linux.og>
- (1.6.3-19m)
- rbuild against ImgeMagick-6.4.8.5-1m

* Fri Jan  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-18m)
- rebuild against python-2.6.1

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-lonux.org>
- (1.6.3-17m)
- revive libkformulalib.so
- kdelibs-4.1.72 provides libkformula.so, does not conflict with kdelibs

* Mon Oct 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.3-16m)
- remove conflicting file(s) with kdelibs-4.1.68-1m
- libkformulalib.so was owned by kdelibs-4.1.69-1m

* Thu Sep  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-15m)
- import missing icons from kmenu-gnome-0.7.2

* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.3-14m)
- rebuild against ImageMagick-6.4.2.1

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-13m)
- add link of missing icon for menu entry

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.3-12m)
- rebuild against qt3

* Mon Apr 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-11m)
- remove Requires: kdebase3

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.3-10m)
- we must specify poppler version equal to 0.8.0 or later

* Fri Apr 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-9m)
- back to version 1.6.3 for the moment
- import upstream patches from opensuse (compile fix)

* Mon Apr 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.95.3-9m)
- rebuild against poppler-0.8.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.9.95.3-8m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.95.3-7m)
- rebuild against OpenEXR-1.6.1

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.95.3-6m)
- revive a package koffice-kspread

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.95.3-5m)
- modify %%files
- kspread needs eigen and krita needs glew
- eigen and glew should be packaged and put to trunk

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.95.3-4m)
- rebuild against openldap-2.4.8

* Sun Feb 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.9.95.3-3m)
- modify %%files again

* Sun Feb 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.9.95.3-2m)
- modify %%files

* Thu Feb 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.9.95.3-1m)
- update to 1.9.95.3

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.6.3-8m)
- %%NoSource -> NoSource

* Sat Feb  2 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.6.3-7m)
- rebuild against perl-5.10.0-1m

- * Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (1.9.95.1-2m)
- - move Obsoletes: koffice-kspread and kugar from koffice to koffice-core

- * Mon Jan 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (1.9.95.1-1m)
- - update to 1.9.95.1

* Fri Nov  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.3-6m)
- [SECURITY] CVE-2007-4352 CVE-2007-5392 CVE-2007-5393
- import upstream patch for these issue

* Sat Sep  8 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.3-5m)
- rebuild against poppler-0.6

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.3-4m)
- rebuild against libvorbis-1.2.0-1m

* Tue Jul 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.3-3m)
- [SECURITY] CVE-2007-3387
- import upstream patch (koffice-xpdf-CVE-2007-3387.diff)

* Sat Jul 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.3-2m)
- move %%{_libdir}/*.la from devel to main packages

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.3-1m)
- update to 1.6.3
- remove unused patches

* Mon May 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.2-3m)
- adjust %%files for GraphicsMagick
- BuildPreReq: GraphicsMagick-devel
- sort BPR

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.2-2m)
- BuildPreReq: freetype2-devel -> freetype-devel

* Mon Feb 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.2-1m)
- update to 1.6.2
- delete unused upstream patches
- import 2 patches from FC

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.1-13m)
- rebuild against kdelibs etc.

* Sun Jan 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-12m)
- import upstream patch to fix following problem
  #140336, time with am/pm format got parsed wrong
  #130980, Saving-as Uncompressed OASIS XML files without giving a filename yields a "document already exists" warning

* Fri Jan 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-11m)
- import upstream patch to fix following problem
  #138314, Undo of insert eats my text

* Wed Jan 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-10m)
- import upstream patch to fix following problem
  #132462, usability: kspread csv export dialog does not remember encoding

* Sun Jan 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-9m)
- import upstream patches to fix following problems
  #136711, unable to copy/paste equation from kformula to other KDE application
  #138313, keyboard selection crashes kformula

* Sat Jan 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-8m)
- import upstream patches to fix following problems
  #139890, automatic formatting of URLs crash KWord
  #136636, When Zoom is changed in KWord, embedded formulae's font size remains unchanged
- [SECURITY] MOAB-06-01-2007
-   Multiple Vendor PDF Document Catalog Handling Vulnerability

* Fri Jan 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-7m)
- import upstream patches to fix following problems
  #139800, Krita closes when I attempt to open or import a Windows Icon file (*.ico)
  #137847, saving a second time to a file format supported by the magick
           filter (ie xpm, gif, xcf...) makes krita crashes

* Fri Jan  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-6m)
- import upstream patches to fix following problems
  #138760, Crash on loading of file with basic labeledtr
  #139254, The operators (square root, fraction, etc) do not have keyboard shortcuts

* Mon Dec 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-5m)
- rebuild against python-2.5

* Tue Dec 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-4m)
- import upstream patch to fix following problem
  #138805, Kplato have problems with working time intervals.

* Fri Dec 15 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-3m)
- import upstream patch to fix following problem
  #138545, Wrong greek symbol in drop down menu

* Tue Dec 11 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-2m)
- import upstream patches to fix following problems
  #137752, function datevalue of a cell shows date, not value of date
  #138165, AND and OR formulas don't support ranges

* Fri Dec  1 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.1-1m)
- version 1.6.1
- revise patch2 for this version
- delete following unused upstream patches
-- koffice-1.6.0-kde#136497.patch
-- koffice-1.6.0-kde#128758.patch
-- koffice-1.6.0-kde#134194.patch
-- koffice-1.6.0-kde#136364.patch
-- koffice-1.6.0-kde#136595.patch
-- koffice-1.6.0-kde#135131.patch
-- koffice-1.6.0-kde#136179.patch
-- koffice-1.6.0-kde#136326.patch
-- koffice-1.6.0-kde#135628.patch

* Sat Nov 25 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.0-4m)
- import upstream patches to fix following problems
  #136497, ODG import of tag Circle section is faulty
  #128758, misinterpretation of the checkbox "first row as label"
  #134194, Impossible to change the data range
  #136364, time duration of the presentation option is not saved
  #136595, border to the text box when open with OO
  #135131, KSpread can't handle simple spreadsheet
  #136179, Lower cell line delimiter disappears
  #136326, kspread crashed when indirect() function used
  #135628, Crash due to changing values on a cell

* Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.0-3m)
- rebuild against OpenEXR-1.4.0 and libpqxx-2.6.8

* Tue Oct 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-2m)
- rebuild against expat-2.0.0-2m

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.0-1m)
- version 1.6.0

* Mon Sep 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.2-5m)
- good-bye desktop-file-utils

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.2-4m)
- rebuild against arts-1.5.4-2m kdelibs-3.5.4-3m kdebase-3.5.4-11m

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.5.2-3m)
- rebuild against expat-2.0.0-1m

* Fri Aug 18 2006 Nishio Futoshi <futoshi@momonga-linix.org>
- (1.5.2-2m)
- rebuild against wv2-0.2.3-2m
- rebuild against kdelibs-3.5.4-2m
- rebuild against kdebase-3.5.4-6m

* Fri Jul 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.2-1m)
- version 1.5.2
- remove merged patches

* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.1-3m)
- rebuild against readline-5.0

* Wed May 24 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.1-2m)
- import koffice-1.5.1-kexi-checkbox-data-saving.patch from koffice-devel
  http://lists.kde.org/?l=koffice-devel&m=114795381831440&w=2

* Sat May 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.1-1m)
- version 1.5.1
- import form_plugins.patch from koffice-devel
  http://lists.kde.org/?l=koffice-devel&m=114805806010938&w=2
  https://bugs.kde.org/show_bug.cgi?id=125432
- enable_final 0

* Wed May 17 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.5.0-3m)
- rebuild against mysql 5.0.22-1m

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.5.0-2m)
- rebuild against libgsf-1.14.0

* Wed Apr 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-1m)
- version 1.5.0
- enable_final 1

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0-0.1.1m)
- update to 1.5-rc1
- remove gcc-4.1.diff
- enable_final 0

* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.95-1m)
- update to version 1.5-beta2
- split package
- import gcc-4.1.diff from SUSE
- remove koffice-kspread.patch
- remove koffice-kexi.patch
- remove koffice-krita-kisfilter.patch
- remove koffice-krita-kisclipboard.patch
- remove post-1.3-koffice-CAN-2005-3193.diff

* Tue Feb 14 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.4.2-10m)
- rebuild against ImageMagick-6.2.6-1m

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-9m)
- add --enable-new-ldflags to configure

* Sun Jan  1 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.2-8m)
- add gcc-4.1 patch. import Fedora Extra
- Patch1: koffice-kspread.patch
- Patch2: koffice-kexi.patch
- Patch3: koffice-krita-kisfilter.patch
- Patch4: koffice-krita-kisclipboard.patch
- Patch5: koffice-admin-gcc4isok.patch

* Sun Dec 18 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (1.4.2-7m)
- rebuild against ImageMagick

* Thu Dec  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-6m)
- [SECURITY] post-1.3-koffice-CAN-2005-3193.diff for "kpdf/xpdf multiple integer overflows"
  http://www.kde.org/info/security/advisory-20051207-1.txt

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-5m)
- rebuild against libgsf-1.13.3

* Mon Nov 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-4m)
- move desktop files from %%{_datadir}/applnk to %%{_datadir}/applications/kde
- BuildPreReq: desktop-file-utils

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-3m)
- rebuild against KDE 3.5 RC1

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.4.2-2m)
- build against python-2.4.2

* Tue Oct 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-1m)
- version 1.4.2
- remove uic.patch

* Sat Sep 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-4m)
- fix uic build problem

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-3m)
- add --disable-rpath to configure

* Mon Sep  5 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.4.1-2m)
- rebuild against for MySQL-4.1.14

* Tue Jul 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-1m)
- version 1.4.1

* Fri Jun 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0a-1m)
- version 1.4.0a
- BuildPreReq: wv2-devel, libwpd-devel, ImageMagick-devel, MySQL-devel
- modify %%post and %%postun
- add %%doc
- remove koffice-1.3.5-immodule.patch
- remove post-1.3.5-koffice.diff

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-4m)
- add %%files section
- clean up spec file

* Wed Feb 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-3m)
- [SECURITY] post-1.3.5-koffice.diff for "KOffice PDF Import Filter Vulnerability"
  http://kde.org/info/security/advisory-20050120-1.txt
- import koffice-1.3.5-immodule.patch from Fedora Core
 +* Sat Feb 12 2005 Than Ngo <than@redhat.com> 4:1.3.5-3
 +- backport from CVS for working with qt-immodule

* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.3.5-2m)
- enable x86_64.

* Wed Nov 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.5-1m)
- update to 1.3.5
- including security fix (xpdf integer overflow),  see also http://www.koffice.org/news.php#itemSECURITYupdatexpdfintegeroverflowinKOffice13x

* Thu Oct 28 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.4-1m)
- update to 1.3.4

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3.3-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.3-1m)
- update to 1.3.3

* Fri May 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.1-1m)
- update to 1.3.1

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.3-3m)
- rebuild against for libxml2-2.6.8
- rebuild against for libxslt-1.1.5

* Sun Feb 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3-2m)
- rebuild against KDE 3.2.0
- add Build Prereq: lcms-devel

* Thu Jan 29 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3-1m)
- version 1.3 release

* Sat Dec 20 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.95-1m)
- update to koffice-1.3 RC2

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.94-1m)
- update to koffice-1.3 RC1

* Wed Oct  1 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.93-1m)
- update to koffice-1.3 beta4
- --enable-final again
- use %%NoSource

* Sat Jun 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.2.91-1m)
- update to koffice-1.3 beta2
- commented out --enable-final tentatively

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.1-4m)
- remove requires: qt-Xt

* Wed Mar 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.1-3m)
- rebuild against for XFree86-4.3.0

* Tue Mar 11 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-2m)
- add URL

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1.

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2-1m)
- update to 1.2.
- change configure option ("disable-final" to "enable-final" ).

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2-0.0010001m)
- update to 1.2rc1.

* Sat Jul 27 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.2-0.0002001m)
- update to 1.2beta2.
- change configure option.
- ( remove "--enable-kernel-threads"
-   and change "enable-final" to "disable-final" ).
- remove old patches.
- add Requires: arts
- add BuildRequires: arts-devel, libxslt-devel >= 1.0.19-2m

* Sun Apr  7 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.1.1-6k)
  kde3

* Thu Mar 27 2002 Toru Hoshina <t@kondara.org>
- (1.1.1-4k)
- alpha support.

* Sat Mar 23 2002 Toru Hoshina <t@kondara.org>
- (1.1.1-2k)
- stable release, hopefully :-P

* Wed Nov 28 2001 Toru Hoshina <t@kondara.org>
- (1.1-12k)
- rebuild against qt 2.3.2, kde 2.2.2.

* Wed Oct 31 2001 Toru Hoshina <t@kondara.org>
- (1.1-10k)
- rebuild against new environment.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (1.1-8k)
- rebuild against libpng 1.2.0.

* Wed Aug 29 2001 Toru Hoshina <t@kondara.org>
- (1.1-2k)
- stable release.

* Sun Aug 13 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0004002k)
- 1.1rc1.

* Fri Jun 29 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0003004k)
- force -O0 for alpha platform.

* Thu Jun 21 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0003003k)
- 1.1beta3.

* Mon Jun 18 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0002003k)
- 1.1beta2.

* Sat May 12 2001 Toru Hoshina <toru@df-usa.com>
- (1.1-0.0002002k)
- version down :-P

* Wed Mar 21 2001 Toru Hoshina <toru@df-usa.com>
- (2.0.1-14k)
- rebuild against KDE 2.1

* Fri Mar 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.0.1-12k)
- rebuild against QT-2.3.0

* Sat Jan 13 2001 Kenichi Matsubara <m@kondara.org>
- [2.0.1-10k]
- backport 2.0.1-11k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@konadra.org>
- [2.0.1-8k]
- backport 2.0.1-9k(Jirai).

* Fri Jan 05 2001 Kenichi Matsubara <m@konadra.org>
- [2.0.1-9k]
- rebuild against.

* Thu Dec 14 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-7k]
- rebuild against qt-2.2.3.

* Mon Dec 11 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-5k]
- change GIF Support switch tag.
- (Vendor to Option)

* Fri Dec 08 2000 Kenichi Matsubara <m@kondara.org>
- [2.0.1-3k]
- update to 2.0.1.

* Tue Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-4k]
- rebuild agaisnt new environment glibc-2.2 egcs++

* Fri Nov 17 2000 Toru Hoshina <toru@df-usa.com>
- [2.0-3k]
- rebuild against qt 2.2.2.

* Sat Nov 04 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-1k]
- update koffice-2.0-kchart-i18n-20001030.diff.
- add koffice-2.0-killustrator-i18n-20001102.diff.
- add GIF Support switch.
- release.

* Mon Oct 30 2000 Kenichi Matsubara <m@kondara.org>
- [2.0-0.1k]
- update 2.0.
- update koffice-2.0-gcc296.patch.
- add koffice-2.0-winword97.patch.
- update koffice-2.0-kword-i18n-20001026.diff.
- update koffice-2.0-kspread-i18n-20001026.diff.
- update koffice-2.0-kpresenter-m17n-20001026.diff.
- add koffice-2.0-kchart-i18n-20001029.diff.

* Tue Oct 10 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against Qt-2.2.1.
- add koffice-1.94-kword-i18n-20000928.diff
- add koffice-1.94-kspread-i18n-20000930.diff
- add koffice-1.94-kpresenter-m17n-20000928.diff

* Tue Sep 26 2000 Kenichi Matsubara <m@kondara.org
- bugfix specfile %files section.

* Sun Sep 18 2000 Toru Hoshina <t@kondara.org>
- version up.

* Tue Aug 08 2000 Toru Hoshina <t@kondara.org>
- rebuild against gcc-2.96-0.6k.

* Sun Jul 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91, gcc 2.96.

* Mon Jun 19 2000 Kenichi Matsubara <m@kondara.org>
- instial release Kondara MNU/Linux.

